%global         momorel 3

Name:           perl-Test-Spec
Version:        0.47
Release:        %{momorel}m%{?dist}
Summary:        Write tests in a declarative specification style
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Spec/
Source0:        http://www.cpan.org/authors/id/P/PH/PHILIP/Test-Spec-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-constant
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-List-Util
BuildRequires:  perl-Package-Stash >= 0.23
BuildRequires:  perl-Test-Harness
BuildRequires:  perl-Test-Deep >= 0.103
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Test-Trap
BuildRequires:  perl-Tie-IxHash
Requires:       perl-constant
Requires:       perl-List-Util
Requires:       perl-Package-Stash >= 0.23
Requires:       perl-Test-Harness
Requires:       perl-Test-Deep >= 0.103
Requires:       perl-Test-Simple
Requires:       perl-Test-Trap
Requires:       perl-Tie-IxHash
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This is a declarative specification-style testing system for behavior-
driven development (BDD) in Perl. The tests (a.k.a. examples) are named
with strings instead of subroutine names, so your fingers will suffer less
fatigue from underscore-itis, with the side benefit that the test reports
are more legible.

%prep
%setup -q -n Test-Spec-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/Spec.pm
%{perl_vendorlib}/Test/Spec
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.47-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.47-2m)
- rebuild against perl-5.18.2

* Sat Oct 12 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.47-1m)
- update to 0.47

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-2m)
- rebuild against perl-5.16.2

* Wed Oct  3 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-1m)
- update to 0.46

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-1m)
- update to 0.45
- rebuild against perl-5.16.0

* Sun Mar 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.42-1m)
- update to 0.42

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-2m)
- rebuild against perl-5.14.2

* Thu Sep  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-1m)
- update to 0.39

* Sun Aug 14 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
